Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.cms.content
Class InternalCMSContentProvider

    java.lang.Object
      org.jboss.portal.core.impl.model.content.InternalContentProvider
          org.jboss.portal.core.impl.model.content.generic.InternalGenericContentProvider
              org.jboss.portal.core.cms.content.InternalCMSContentProvider

All Implemented Interfaces:
  ContentHandler, ContentRenderer

    public class InternalCMSContentProvider

extends InternalGenericContentProvider

Version:
  $Revision: 9006 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.impl.model.content.generic.InternalGenericContentProvider
`contentPortlet, decorateContent, instanceContainer`

Constructor Summary
`InternalCMSContentProvider()`

Method Summary
`CMSObjectCommandFactory` | `getCommandFactory()`
`java.lang.String` | `getPortletInstanceName()`
`WindowRendition` | `renderWindow(ContentRendererContext rendererContext)`
`void` | `setCommandFactory(CMSObjectCommandFactory commandFactory)`
`void` | `setPortletInstanceName(java.lang.String portletInstanceName)`
`void` | `start()`
`static boolean` | `useGlobalURL()`

Methods inherited from class org.jboss.portal.core.impl.model.content.generic.InternalGenericContentProvider
`contentCreated, contentDestroyed, createProvider, getContentPortletInfo, getDecorateContent, getInstanceContainer, getPortletInstance, newContent, setContentPortletInfo, setDecorateContent, setInstanceContainer`

Methods inherited from class org.jboss.portal.core.impl.model.content.InternalContentProvider
`getContentType, getPortalAuthorizationManagerFactory, getRegisteredContentType, getRegistry, setContentType, setPortalAuthorizationManagerFactory, setRegistry, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalCMSContentProvider

    public InternalCMSContentProvider()

Method Detail

### useGlobalURL

    public static boolean useGlobalURL()

### getPortletInstanceName

    public java.lang.String getPortletInstanceName()

### setPortletInstanceName

    public void setPortletInstanceName(java.lang.String portletInstanceName)

### getCommandFactory

    public CMSObjectCommandFactory getCommandFactory()

### setCommandFactory

    public void setCommandFactory(CMSObjectCommandFactory commandFactory)

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `InternalContentProvider`
  Throws:
    `java.lang.Exception`

### renderWindow

    public WindowRendition renderWindow(ContentRendererContext rendererContext)

  Specified by:
    `renderWindow` in interface `ContentRenderer`
  Overrides:
    `renderWindow` in class `InternalGenericContentProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD